package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimPlaceInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimPlaceInfoMapper")
public interface AimPlaceInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimPlaceInfo record);

    AimPlaceInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimPlaceInfo record);

    List<AimPlaceInfo> queryAllAimPlaceInfo(AimPlaceInfo record);

    List<AimPlaceInfo> queryAllAimPlaceInfoAllInfo(AimPlaceInfo record);

    List<AimPlaceInfo> queryAimPlaceInfoByPage(Map<String, Object> parameter);

    int delete(AimPlaceInfo record);

    AimPlaceInfo queryAimPlaceInfo(AimPlaceInfo record);

    List<AimPlaceInfo> query(AimPlaceInfo record);
}

